.c-message-alert{
    margin: 30px 0;
    background-color: #fafafa;
    color: #777777;
    position: relative;
  }
  
  .c-message-alert .o-message-alert-ico{
    /* min-height: 60px; */
    position: absolute;
    height: 100%;
  }
  
  .c-message-alert .o-message-alert-text{
    padding: 10px 0 10px 95px;
  }
  
  .c-message-alert .o-message-alert-text h4 {
      font-weight: 500;
      margin: 0;
      text-align: left;
  }
  .c-message-alert .o-message-alert-text p {
    margin: 0;
    text-align: left;
    color: #222;
    font-weight: 300;
    line-height: 2rem;
  }
  
  .c-message-alert p{
    margin: 10px 0 0 0;
  }
  
  .c-message-alert.is-ok h4{
    color:#c0d751;
    font-weight: 500;
  }
  
  .c-message-alert.is-ok .o-message-alert-ico{
    background-color: #c0d751;
    background-image: url('../image/lamp-icon.svg');
    background-repeat:no-repeat;
    background-position: center center;
  }
  
  
  /*.c-message-alert.is-ko .o-message-alert-ico{
    background-color: #FF0000;
    background-image: url('../image/attenzione-icon.svg');
    background-repeat:no-repeat;
    background-position: center center;
  }*/
  .c-message-alert.is-ko {
      padding: 10px 0 10px 95px;
      text-align: left
  }
  
  .c-message-alert.is-ko h4{
    color: #222;
    font-weight: 500;
    font-family: 'Asap', serif;
  }
  .c-message-alert.is-ko h3{
    color: #222;
    font-weight: 500;
    font-family: 'Asap', serif;
  }
  .c-message-alert.is-ko p {
      margin-top:0;
      margin-bottom: 20px !important;
	      font-size: 18px;
  }
  .c-message-alert.is-ko:before {
      content: '';
      background-color: #FF0000;
      background-image: url(../image/attenzione-icon.svg);
      background-repeat: no-repeat;
      background-position: center center;
      width: 80px;
      height: 100%;
      position: absolute;
      left: 0;
      top: 0;
      display: block;
  }
  
  .c-message-alert.is-warning h4 {
    color:#e4d33d;
    font-weight: 500;
  }
  
  .c-message-alert.is-warning .o-message-alert-ico{
    background-color: #e4d33d;
    background-image: url('../image/attenzione-icon.svg');
    background-repeat:no-repeat;
    background-position: center center;
  }
  
  .c-message-alert.is-info h4{
    color:#92a7bc;
    font-weight: 500;
  }
  
  .c-message-alert.is-info .o-message-alert-ico{
    background-color: #92a7bc;
    background-image: url('../image/info-icon.svg');
    background-repeat:no-repeat;
    background-position: center center;
  }
  
  
  
  
  .o-icon-lamp-mini {
      padding: 10px 0 10px 75px;
      position: relative;
      line-height: 2.8rem;
      color: #c0d751;
      background: #fafafa;
      margin: 20px 0 5px 0;
  }
  div.o-icon-lamp-mini h4 {
      color: #222;
      font-weight: 500;
  }
  div.o-icon-lamp-mini a {
    border-bottom: 1px solid #0166aa;
    color: #0166aa;
    text-decoration: none;
    -webkit-transition: color .3s ease-out,border .3s ease-out;
    transition: color .3s ease-out,border .3s ease-out;
  }
  div.o-icon-lamp-mini a:hover {
    color: #a3bf19;
    border-bottom: 1px solid #a3bf19;
  }
  
  
  .o-icon-lamp-mini:before {
          content: '';
      background-color: #c0d751;
      background-image: url("../image/lamp-icon.svg");
      background-repeat: no-repeat;
      background-position: center center;
      width: 60px;
      height: 100%;
      position: absolute;
      left: 0;
      top:0
  }
  
  .o-icon-info-mini {
      padding: 10px 0 10px 75px;
      position: relative;
      line-height: 2.8rem;
      color: #0166aa;
      background: #fafafa;
      margin: 20px 0
  }
  .o-icon-info-mini h4 {
      color: #222;
      font-weight: 500;
  }
  div.o-icon-info-mini a {
        border-bottom: 1px solid #0166aa;
        color: #0166aa;
        text-decoration: none;
        -webkit-transition: color .3s ease-out,border .3s ease-out;
        transition: color .3s ease-out,border .3s ease-out;
    }
    div.o-icon-info-mini a:hover {
        color: #a3bf19;
        border-bottom: 1px solid #a3bf19;
  }
  
  
  
  .o-icon-info-mini:before {
      content: '';
      background-color: #92a6bc;
      background-image: url("../image/info-icon.svg");
      background-repeat: no-repeat;
      background-position: center center;
      width: 60px;
      height: 100%;
      position: absolute;
      left: 0;
      top:0
  }
  
  
  
  .o-icon-alert-mini {
      padding: 10px 0 10px 75px;
      position: relative;
      line-height: 2.8rem;
      color: #dfc90d;
      background: #fafafa;
      margin: 20px 0
  }
  div.o-icon-alert-mini h4 {
      color: #222;
      font-weight: 500;
  }
  
  div.o-icon-alert-mini.o-icon-alert-layout-2 h4 {
      font-size: 1.8rem;
      line-height: 2.5rem;
      color: #0166aa;
      font-weight: 400;
  }
  
  div.o-icon-alert-mini.o-icon-alert-layout-2 p {
      color: #222;
      font-size: 1.4rem;
      line-height: 2rem;
      font-weight: 300;
  }
  
  .o-icon-alert-mini a {
      color: #dfc90d;
      font-weight: bold;
      text-decoration: underline
  }
  .o-icon-alert-mini:before {
      content: '';
      background-color: #e4d33c;
      background-image: url("../image/attenzione-icon.svg");
      background-repeat: no-repeat;
      background-position: center center;
      width: 60px;
      height: 100%;
      position: absolute;
      left: 0;
      top:0
  }
  
  
  .o-icon-error-mini {
      padding: 10px 0 10px 75px;
      position: relative;
      line-height: 2.8rem;
      color: #af5f64;
      background: #fafafa;
      margin: 20px 0
  }
  .o-icon-error-mini h4 {
      color: #222;
      font-weight: 500;
  }
  .o-icon-error-mini a {
      color: #af5f64;
      font-weight: bold;
      text-decoration: underline
  }
  .o-icon-error-mini:before {
      content: '';
      background-color: #FF0000;
      background-image: url("../image/attenzione-icon.svg");
      background-repeat: no-repeat;
      background-position: center center;
      width: 60px;
      height: 100%;
      position: absolute;
      left: 0;
      top:0
  }
  
  
  .o-icon-lamp-mega {
      padding: 10px 0 10px 95px;
      position: relative;
      line-height: 2.8rem;
      color: #c0d751;
      background: #fafafa;
      margin: 20px 0
  }
  .o-icon-lamp-mega h4 { color: #222 }
  /*.o-icon-lamp-mega a {
      color: #c0d751;
      font-weight: bold;
      text-decoration: underline
  }*/
  .o-icon-lamp-mega p {
      color: #222;
      font-size: 1.4rem;
      line-height: 2rem;
      font-weight: 300;
  }
  .o-icon-lamp-mega:before {
      content: '';
      background-color: #c0d751;
      background-image: url("../image/lamp-icon.svg");
      background-repeat: no-repeat;
      background-position: center center;
      width: 80px;
      height: 100%;
      position: absolute;
      left: 0;
      top:0
  }
  .o-icon-lamp-mega .o-button {
      text-transform: uppercase;
      background: #4C9D2A;
      color: #fff !important; 
      padding: 10px 20px;
      text-decoration: none;
      -webkit-transition: all .3s ease-in-out;
      -moz-transition: all .3s ease-in-out;
      -ms-transition: all .3s ease-in-out;
      -o-transition: all .3s ease-in-out;
      transition: all .3s ease-in-out;
      display: inline-block;
      width: 100%;
      font-size: 2rem;
      font-weight: 400;
      text-align: center;
      border: 0px
      
  }
  .o-icon-lamp-mega .o-button:hover {
      background: #204d7c;
      color: #fff !important;
      border: 0px
  }
  
  .o-icon-info-mega {
      padding: 10px 0 10px 95px;
      position: relative;
      line-height: 2.8rem;
      color: #0166aa;
      background: #fafafa;
      margin: 20px 0
  }
  .o-icon-info-mega a {
      color: #0166aa;
      font-weight: bold;
      text-decoration: underline
  }
  .o-icon-info-mega p {
      color: #222;
      font-size: 1.4rem;
      line-height: 2rem;
      font-weight: 300;
  }
  .o-icon-info-mega:before {
      content: '';
      background-color: #92a6bc;
      background-image: url("../image/info-icon.svg");
      background-repeat: no-repeat;
      background-position: center center;
      width: 80px;
      height: 100%;
      position: absolute;
      left: 0;
      top:0
  }
  .o-icon-info-mega .o-button {
      text-transform: uppercase;
      background: #92a6bc;
      color: #fff !important; 
      padding: 10px 20px;
      text-decoration: none;
      -webkit-transition: all .3s ease-in-out;
      -moz-transition: all .3s ease-in-out;
      -ms-transition: all .3s ease-in-out;
      -o-transition: all .3s ease-in-out;
      transition: all .3s ease-in-out;
      display: inline-block;
      width: 100%;
      font-size: 2rem;
      font-weight: 400;
      text-align: center;
      border: 0px
      
  }
  .o-icon-info-mega .o-button:hover {
      background: #204d7c;
      color: #fff !important;
      border: 0px
  }
  
  .o-icon-alert-mega {
      padding: 10px 0 10px 95px;
      position: relative;
      line-height: 2.8rem;
      color: #e4d33c;
      background: #fafafa;
      margin: 20px 0
  }
  .o-icon-alert-mega a {
      color: #e4d33c;
      font-weight: bold;
      text-decoration: underline
  }
  .o-icon-alert-mega p {
      color: #222;
      font-size: 1.4rem;
      line-height: 2rem;
      font-weight: 300;
  }
  .o-icon-alert-mega:before {
      content: '';
      background-color: #e4d33c;
      background-image: url("../image/attenzione-icon.svg");
      background-repeat: no-repeat;
      background-position: center center;
      width: 80px;
      height: 100%;
      position: absolute;
      left: 0;
      top:0
  }
  .o-icon-alert-mega .o-button {
      text-transform: uppercase;
      background: #e4d33c;
      color: #fff !important; 
      padding: 10px 20px;
      text-decoration: none;
      -webkit-transition: all .3s ease-in-out;
      -moz-transition: all .3s ease-in-out;
      -ms-transition: all .3s ease-in-out;
      -o-transition: all .3s ease-in-out;
      transition: all .3s ease-in-out;
      display: inline-block;
      width: 100%;
      font-size: 2rem;
      font-weight: 400;
      text-align: center;
      border: 0px
      
  }
  .o-icon-alert-mega .o-button:hover {
      background: #204d7c;
      color: #fff !important;
      border: 0px
  }
  
  
  .o-icon-error-mega {
      padding: 10px 0 10px 95px;
      position: relative;
      line-height: 2.8rem;
      color: #af5f64;
      background: #fafafa;
      margin: 20px 0
  }
  .o-icon-error-mega a {
      color: #af5f64;
      font-weight: bold;
      text-decoration: underline
  }
  .o-icon-error-mega p {
      color: #222;
      font-size: 1.4rem;
      line-height: 2rem;
      font-weight: 300;
  }
  .o-icon-error-mega:before {
      content: '';
      background-color: #FF0000;
      background-image: url("../image/attenzione-icon.svg");
      background-repeat: no-repeat;
      background-position: center center;
      width: 80px;
      height: 100%;
      position: absolute;
      left: 0;
      top:0
  }
  .o-icon-error-mega .o-button {
      text-transform: uppercase;
      background: #FF0000;
      color: #fff !important; 
      padding: 10px 20px;
      text-decoration: none;
      -webkit-transition: all .3s ease-in-out;
      -moz-transition: all .3s ease-in-out;
      -ms-transition: all .3s ease-in-out;
      -o-transition: all .3s ease-in-out;
      transition: all .3s ease-in-out;
      display: inline-block;
      width: 100%;
      font-size: 2rem;
      font-weight: 400;
      text-align: center;
      border: 0px
      
  }
  .o-icon-error-mega .o-button:hover {
      background: #204d7c;
      color: #fff !important;
      border: 0px
  }
  
  
  
  @media (min-width: 768px) {  
      .o-icon-lamp-mega .c-primary-button, .o-icon-info-mega .c-primary-button, .o-icon-alert-mega .c-primary-button, .o-icon-error-mega .c-primary-button {
          top: 50%;
          transform: translateY(-50%);
          position: absolute;
      }
      .o-icon-lamp-mega .pabsolute, .o-icon-info-mega .pabsolute, .o-icon-alert-mega .pabsolute, .o-icon-error-mega .pabsolute { 
          position: absolute;
          top: 0;
          bottom: 0; 
      }
  
  }
  
  .c-alert {
      background: #FF0000;
      text-align: center;
  }
  .c-alert p {
      background: url("../image/alert.svg") no-repeat left center;
  }
  .c-alert p {
      display: inline-block;
      padding: 12px 0 12px 45px;
      font-size: 1.6rem;
      margin: 0;
      color: #fff;
  }
  
  
  .o-limitestabilito .o-close, .o-limitemassimo .o-close, div.info-tooltip .o-close {
      opacity: 1;
      top: 10px;
      transform: translateY(0);
      background:  url("../image/icona-close2.svg") no-repeat center center;
      background-size: 300%;
      
      display: block;
      color: #222;
      border-radius: 20px;
      width: 20px;
      height: 20px;
      line-height: 20px;
      text-align: center;
      position: absolute;
      right: 10px;
      bottom: 0;
      z-index: 999;
  }
  
  .o-limitestabilito {
      background: #fff;
      padding: 10px;
      padding-top: 15px;
      border-bottom: 3px solid #ffd24b;
      border-radius: 10px;
      z-index: 850;
      box-shadow: 0px 4px 9px #a8a8a8;
      position: relative;
      margin-bottom: 20px;
  }
  .o-limitestabilito p { 
      padding-left: 30px; 
      color: #66696c; 
      font-size: 1.4rem;
      line-height: 1.8rem;
      margin-bottom: 10px !important
  }
  .o-limitestabilito p:first-child { 
      background: url("../image/alert-giallo.svg") no-repeat left center; 
      text-transform: uppercase;
      background-size: contain;
      font-weight: 500
  }
  
  
  
  .o-limitemassimo {
      background: #fff;
      padding: 10px;
      padding-top: 15px;
      border-bottom: 3px solid #FF0000;
      border-radius: 10px;
      z-index: 850;
      box-shadow: 0px 4px 9px #a8a8a8;
      position: relative;
  }
  .o-limitemassimo p { 
      padding-left: 30px; 
      color: #66696c;
      font-size: 1.4rem;
      line-height: 1.8rem;
      margin-bottom: 10px !important
  }
  .o-limitemassimo p:first-child { 
      background: url("../image/stop-rosso.svg") no-repeat left center; 
      text-transform: uppercase; 
      background-size: contain;
      font-weight: 500
  }
  
  .c-generic-tooltip {
      display: inline-block;
      position: relative;
      margin-right: 20px;
  }
  
  .c-generic-tooltip:nth-child(1) .o-tooltip.o-tooltip-top  {  opacity: 1; }
  
  .c-generic-tooltip .icon-riconsegne:before {
      content: url("../image/icon-riconsegne2.svg") !important;
  }
  .c-generic-tooltip .icon-scopertura:before {
      content: url("../image/icon-scopertura2.svg") !important;
  }
  .c-generic-tooltip .icon-home:before {
    content: url("../image/icon-home.svg");
  }
  .c-generic-tooltip .icon-search:before {
    content: url("../image/icon-cerca.svg");
  }
  .c-generic-tooltip .icon-doc:before {
    content: url("../image/icon-doc.svg");
  }
  
  .c-generic-tooltip a.o-generic i { 
  
      margin: 0;
      display: block;
      padding: 0;
   }
  .c-generic-tooltip a.o-generic {
      width: auto;
      height: 100%;
      display: inline-block;
      border: 0px;
      position: relative
  }
  .c-generic-tooltip .o-tooltip.o-tooltip-top {
      top: -45px;
  }
  
  /*
  .c-login-form .o-icon-lamp {
      padding: 10px 0 10px 120px;
      position: relative;
      line-height: 2.8rem;
  }
  .c-login-form .o-icon-lamp:before {
          content: '';
      background-color: #c0d751;
      background-image: url(../image/lamp-icon.svg);
      background-repeat: no-repeat;
      background-position: center center;
      width: 100px;
      height: 100%;
      position: absolute;
      left: 0;
      top:0
  }
  */
  
  
  .c-info-tooltip {
          position: relative;
  }
   
  .icona-info {
    background: url('../image/icona-info-grigia.svg') no-repeat top left;
    cursor: pointer;
    display: inline-block;
    height: 20px;
    margin: 0;
    padding: 0;
    -webkit-transition: all .3s ease-in-out;
    -o-transition: all .3s ease-in-out;
       transition: all .3s ease-in-out;
    width: 20px;
    border: 0px !important
  }
  .icona-info:hover,
  .icona-info:focus,
  .icona-info:active {
    background: url('../image/icona-info-verde.svg') no-repeat top left;
    border: 0px !important
  }
  
  div.info-tooltip {
    background-color: #fff;
    /*border-right: 8px solid #4C9D2A; */
    display: none;
    font-size: 1.3rem;
    left: -510px;
    padding: 0 20px;
    position: absolute;
    text-align: left;
    top: 50%;
    -webkit-transform: translate(0, -50%);
    -ms-transform: translate(0, -50%);
     -o-transform: translate(0, -50%);
        transform: translate(0, -50%);
    width: 500px;
    z-index: 801;     
    line-height: 2.5rem;
    -webkit-box-shadow: 0 5px 10px rgba(0, 0, 0, .2);
    box-shadow: 0 5px 10px rgba(0, 0, 0, .2);
    border: 1px solid #f5f5f5; 
    border-right: 0px;
    border-radius: 6px;  
  }

  @media (max-width: 769px) {  
    .c-info-tooltip-nomobile {
        display: none
    }
  }
  
  div.info-tooltip:before { 
      content: '';
      width: 30px;
      border-right: 8px solid #4C9D2A;
      position: absolute;
      top: 0;
      right: 0;
      height: 100.5%;
      border-radius: 6px;
  }
  div.info-tooltip:after {
    content: '';
    display: block;
    position: absolute;
    top: 48%;
    right: -13px;
    border-left: 9px solid transparent;
    border-right: 9px solid transparent;
    border-top: 8px solid #4C9D2A;
    -ms-transform: rotate(-90deg);
    -webkit-transform: rotate(-90deg);
    transform: rotate(-90deg);
    -webkit-transition: all .3s ease-in-out;
    -o-transition: all .3s ease-in-out;
       transition: all .3s ease-in-out;
  }
  
  
  /* IE11 hack per centrare correttamente freccia di div.info-tooltip con l'icona info */
  @media all and (-ms-high-contrast:none) {
  
    *::-ms-backdrop,
    div.info-tooltip:after {
      top: 49.5%;
    }
  
  }
  /* fine IE11 hack */
  .info-tooltip-open {
    display: block !important;
  }
  div.info-tooltip table td {
    background-color: #fff !important;
    border: none;
    padding: 5px;
    vertical-align: top;
  }
  div.info-tooltip table td:first-child,
  div.info-tooltip table td:nth-child(2n+3) {
    color: #0166aa;
  }
  div.info-tooltip table td:first-child {
    width: 20%;
    font-size: 1.4rem
  }
  div.info-tooltip table td:nth-child(2) {
    width: 80%;
    font-size: 1.4rem;
    font-weight: 300;
  }
  div.info-tooltip table tr:last-child td:nth-child(2),
  div.info-tooltip table tr:last-child td:nth-child(5),
  div.info-tooltip table tr:last-child td:nth-child(6) {
    width: 16% !important;
  }
  div.info-tooltip table tr:last-child td:nth-child(3) {
    width: 10% !important;
  }
  div.info-tooltip table tr:last-child td:nth-child(4) {
    width: 22%;
  }
  div.info-tooltip .o-close { display: none }
  
  @media (max-width: 480px) {
      div.info-tooltip {
          left: 0;
          width: 100%;
          padding-top: 10px;
          padding-bottom: 10px;
      }
      div.info-tooltip:before, div.info-tooltip:after { content: none }
      .info-tooltip table, .info-tooltip tbody, .info-tooltip tr, .info-tooltip td { display: block; }
      div.info-tooltip table td:nth-child(2), 
      div.info-tooltip table td:first-child, 
      div.info-tooltip table tr:last-child td:nth-child(2), 
      div.info-tooltip table tr:last-child td:nth-child(3),
      div.info-tooltip table tr:last-child td:nth-child(4),
      div.info-tooltip table tr:last-child td:nth-child(5), 
      div.info-tooltip table tr:last-child td:nth-child(6)
      { width: 100% !important; padding: 0 }
      div.info-tooltip .o-close { display: block }
  }
  